cowboy_req:delete_resp_header(3)

NAME

cowboy_req:delete_resp_header - Delete a response header

DESCRIPTION
    delete_resp_header(Name, Req :: cowboy_req:req()) -> Req

    Name :: binary()  %% lowercase; case insensitive

Delete the given response header.

The header name must be given as a lowercase binary string. While header names are case insensitive, Cowboy requires them to be given as lowercase to function properly.

ARGUMENTS

Name
    Header name as a lowercase binary string.

Req
    The Req object.

RETURN VALUE

A new Req object is returned.

The returned Req object must be used from that point onward, otherwise the header will still be sent in the response.

CHANGELOG
    • 1.0: Function introduced.

EXAMPLES

Remove the content-type header from the response
    Req = cowboy_req:delete_resp_header(<<"content-type">>, Req0),

SEE ALSO

cowboy_req(3), cowboy_req:set_resp_header(3), cowboy_req:set_resp_headers(3), cowboy_req:has_resp_header(3), cowboy_req:resp_header(3), cowboy_req:resp_headers(3)